Index: sys/netinet6/scope6.c
===================================================================
--- sys/netinet6/scope6.c	(revision 195689)
+++ sys/netinet6/scope6.c	(working copy)
@@ -48,8 +48,8 @@
 
 #include <netinet/ip6.h>
 #include <netinet6/in6_var.h>
+#include <netinet6/ip6_var.h>
 #include <netinet6/scope6_var.h>
-#include <netinet6/vinet6.h>
 
 
 /*
@@ -62,18 +62,17 @@
 #define	SCOPE6_UNLOCK()		mtx_unlock(&scope6_lock)
 #define	SCOPE6_LOCK_ASSERT()	mtx_assert(&scope6_lock, MA_OWNED)
 
-#ifdef VIMAGE_GLOBALS
-static struct scope6_id sid_default;
-int ip6_use_defzone;
-#endif
+static VNET_DEFINE(struct scope6_id, sid_default);
+VNET_DEFINE(int, ip6_use_defzone);
 
+#define	V_sid_default			VNET_GET(sid_default)
+
 #define SID(ifp) \
 	(((struct in6_ifextra *)(ifp)->if_afdata[AF_INET6])->scope6_id)
 
 void
 scope6_init(void)
 {
-	INIT_VNET_INET6(curvnet);
 
 #ifdef ENABLE_DEFAULT_SCOPE
 	V_ip6_use_defzone = 1;
@@ -121,7 +120,6 @@
 int
 scope6_set(struct ifnet *ifp, struct scope6_id *idlist)
 {
-	INIT_VNET_NET(ifp->if_vnet);
 	int i;
 	int error = 0;
 	struct scope6_id *sid = NULL;
@@ -276,7 +274,6 @@
 void
 scope6_setdefault(struct ifnet *ifp)
 {
-	INIT_VNET_INET6(ifp->if_vnet);
 
 	/*
 	 * Currently, this function just sets the default "interfaces"
@@ -300,7 +297,6 @@
 int
 scope6_get_default(struct scope6_id *idlist)
 {
-	INIT_VNET_INET6(curvnet);
 
 	SCOPE6_LOCK();
 	*idlist = V_sid_default;
@@ -312,7 +308,6 @@
 u_int32_t
 scope6_addr2default(struct in6_addr *addr)
 {
-	INIT_VNET_INET6(curvnet);
 	u_int32_t id;
 
 	/*
@@ -343,7 +338,6 @@
 int
 sa6_embedscope(struct sockaddr_in6 *sin6, int defaultok)
 {
-	INIT_VNET_NET(curvnet);
 	struct ifnet *ifp;
 	u_int32_t zoneid;
 
@@ -380,7 +374,6 @@
 int
 sa6_recoverscope(struct sockaddr_in6 *sin6)
 {
-	INIT_VNET_NET(curvnet);
 	char ip6buf[INET6_ADDRSTRLEN];
 	u_int32_t zoneid;
 
Index: sys/netinet6/frag6.c
===================================================================
--- sys/netinet6/frag6.c	(revision 195689)
+++ sys/netinet6/frag6.c	(working copy)
@@ -47,6 +47,7 @@
 
 #include <net/if.h>
 #include <net/route.h>
+#include <net/vnet.h>
 
 #include <netinet/in.h>
 #include <netinet/in_var.h>
@@ -55,7 +56,6 @@
 #include <netinet/icmp6.h>
 #include <netinet/in_systm.h>	/* for ECN definitions */
 #include <netinet/ip.h>		/* for ECN definitions */
-#include <netinet6/vinet6.h>
 
 #include <security/mac/mac_framework.h>
 
@@ -76,12 +76,14 @@
 /*
  * These fields all protected by ip6qlock.
  */
-#ifdef VIMAGE_GLOBALS
-static u_int frag6_nfragpackets;
-static u_int frag6_nfrags;
-static struct	ip6q ip6q;	/* ip6 reassemble queue */
-#endif
+static VNET_DEFINE(u_int, frag6_nfragpackets);
+static VNET_DEFINE(u_int, frag6_nfrags);
+static VNET_DEFINE(struct ip6q, ip6q);	/* ip6 reassemble queue */
 
+#define	V_frag6_nfragpackets		VNET_GET(frag6_nfragpackets)
+#define	V_frag6_nfrags			VNET_GET(frag6_nfrags)
+#define	V_ip6q				VNET_GET(ip6q)
+
 #define	IP6Q_LOCK_INIT()	mtx_init(&ip6qlock, "ip6qlock", NULL, MTX_DEF);
 #define	IP6Q_LOCK()		mtx_lock(&ip6qlock)
 #define	IP6Q_TRYLOCK()		mtx_trylock(&ip6qlock)
@@ -96,7 +98,6 @@
 static void
 frag6_change(void *tag)
 {
-	INIT_VNET_INET6(curvnet);
 
 	V_ip6_maxfragpackets = nmbclusters / 4;
 	V_ip6_maxfrags = nmbclusters / 4;
@@ -105,7 +106,6 @@
 void
 frag6_init(void)
 {
-	INIT_VNET_INET6(curvnet);
 
 	V_ip6q.ip6q_next = V_ip6q.ip6q_prev = &V_ip6q;
 	V_ip6_maxfragpackets = nmbclusters / 4;
@@ -154,7 +154,6 @@
 int
 frag6_input(struct mbuf **mp, int *offp, int proto)
 {
-	INIT_VNET_INET6(curvnet);
 	struct mbuf *m = *mp, *t;
 	struct ip6_hdr *ip6;
 	struct ip6_frag *ip6f;
@@ -619,7 +618,6 @@
 void
 frag6_freef(struct ip6q *q6)
 {
-	INIT_VNET_INET6(curvnet);
 	struct ip6asfrag *af6, *down6;
 
 	IP6Q_LOCK_ASSERT();
@@ -726,7 +724,6 @@
 	VNET_LIST_RLOCK();
 	VNET_FOREACH(vnet_iter) {
 		CURVNET_SET(vnet_iter);
-		INIT_VNET_INET6(vnet_iter);
 		q6 = V_ip6q.ip6q_next;
 		if (q6)
 			while (q6 != &V_ip6q) {
@@ -768,7 +765,6 @@
 	VNET_LIST_RLOCK();
 	VNET_FOREACH(vnet_iter) {
 		CURVNET_SET(vnet_iter);
-		INIT_VNET_INET6(vnet_iter);
 		while (V_ip6q.ip6q_next != &V_ip6q) {
 			V_ip6stat.ip6s_fragdropped++;
 			/* XXX in6_ifstat_inc(ifp, ifs6_reass_fail) */
Index: sys/netinet6/raw_ip6.c
===================================================================
--- sys/netinet6/raw_ip6.c	(revision 195689)
+++ sys/netinet6/raw_ip6.c	(working copy)
@@ -90,7 +90,6 @@
 #include <netinet/in_var.h>
 #include <netinet/in_systm.h>
 #include <netinet/in_pcb.h>
-#include <netinet/vinet.h>
 
 #include <netinet/icmp6.h>
 #include <netinet/ip6.h>
@@ -101,7 +100,6 @@
 #include <netinet6/nd6.h>
 #include <netinet6/raw_ip6.h>
 #include <netinet6/scope6_var.h>
-#include <netinet6/vinet6.h>
 
 #ifdef IPSEC
 #include <netipsec/ipsec.h>
@@ -117,12 +115,13 @@
  * Raw interface to IP6 protocol.
  */
 
-#ifdef VIMAGE_GLOBALS
-extern struct	inpcbhead ripcb;
-extern struct	inpcbinfo ripcbinfo;
-struct rip6stat rip6stat;
-#endif
+VNET_DECLARE(struct inpcbhead, ripcb);
+VNET_DECLARE(struct inpcbinfo, ripcbinfo);
+#define	V_ripcb				VNET_GET(ripcb)
+#define	V_ripcbinfo			VNET_GET(ripcbinfo)
 
+VNET_DEFINE(struct rip6stat, rip6stat);
+
 extern u_long	rip_sendspace;
 extern u_long	rip_recvspace;
 
@@ -134,9 +133,7 @@
 /*
  * The socket used to communicate with the multicast routing daemon.
  */
-#ifdef VIMAGE_GLOBALS
-struct socket *ip6_mrouter;
-#endif
+VNET_DEFINE(struct socket *, ip6_mrouter);
 
 /*
  * The various mrouter functions.
@@ -154,11 +151,6 @@
 int
 rip6_input(struct mbuf **mp, int *offp, int proto)
 {
-	INIT_VNET_INET(curvnet);
-	INIT_VNET_INET6(curvnet);
-#ifdef IPSEC
-	INIT_VNET_IPSEC(curvnet);
-#endif
 	struct ifnet *ifp;
 	struct mbuf *m = *mp;
 	register struct ip6_hdr *ip6 = mtod(m, struct ip6_hdr *);
@@ -320,7 +312,6 @@
 void
 rip6_ctlinput(int cmd, struct sockaddr *sa, void *d)
 {
-	INIT_VNET_INET(curvnet);
 	struct ip6_hdr *ip6;
 	struct mbuf *m;
 	int off = 0;
@@ -376,7 +367,6 @@
 	va_dcl
 #endif
 {
-	INIT_VNET_INET6(curvnet);
 	struct mbuf *control;
 	struct socket *so;
 	struct sockaddr_in6 *dstsock;
@@ -609,7 +599,6 @@
 static int
 rip6_attach(struct socket *so, int proto, struct thread *td)
 {
-	INIT_VNET_INET(so->so_vnet);
 	struct inpcb *inp;
 	struct icmp6_filter *filter;
 	int error;
@@ -648,8 +637,6 @@
 static void
 rip6_detach(struct socket *so)
 {
-	INIT_VNET_INET(so->so_vnet);
-	INIT_VNET_INET6(so->so_vnet);
 	struct inpcb *inp;
 
 	inp = sotoinpcb(so);
@@ -707,9 +694,6 @@
 static int
 rip6_bind(struct socket *so, struct sockaddr *nam, struct thread *td)
 {
-	INIT_VNET_NET(so->so_vnet);
-	INIT_VNET_INET(so->so_vnet);
-	INIT_VNET_INET6(so->so_vnet);
 	struct inpcb *inp;
 	struct sockaddr_in6 *addr = (struct sockaddr_in6 *)nam;
 	struct ifaddr *ifa = NULL;
@@ -750,9 +734,6 @@
 static int
 rip6_connect(struct socket *so, struct sockaddr *nam, struct thread *td)
 {
-	INIT_VNET_NET(so->so_vnet);
-	INIT_VNET_INET(so->so_vnet);
-	INIT_VNET_INET6(so->so_vnet);
 	struct inpcb *inp;
 	struct sockaddr_in6 *addr = (struct sockaddr_in6 *)nam;
 	struct in6_addr in6a;
Index: sys/netinet6/in6_var.h
===================================================================
--- sys/netinet6/in6_var.h	(revision 195689)
+++ sys/netinet6/in6_var.h	(working copy)
@@ -486,14 +486,14 @@
 #endif
 
 #ifdef _KERNEL
-#ifdef VIMAGE_GLOBALS
-extern struct in6_ifaddrhead in6_ifaddrhead;
+VNET_DECLARE(struct in6_ifaddrhead, in6_ifaddrhead);
+VNET_DECLARE(struct icmp6stat, icmp6stat);
+VNET_DECLARE(unsigned long, in6_maxmtu);
 
-extern struct icmp6stat icmp6stat;
+#define	V_in6_ifaddrhead		VNET_GET(in6_ifaddrhead)
+#define	V_icmp6stat			VNET_GET(icmp6stat)
+#define	V_in6_maxmtu			VNET_GET(in6_maxmtu)
 
-extern unsigned long in6_maxmtu;
-#endif /* VIMAGE_GLOBALS */
-
 extern struct rwlock in6_ifaddr_lock;
 #define	IN6_IFADDR_LOCK_ASSERT(	)	rw_assert(&in6_ifaddr_lock, RA_LOCKED)
 #define	IN6_IFADDR_RLOCK()		rw_rlock(&in6_ifaddr_lock)
Index: sys/netinet6/ip6_var.h
===================================================================
--- sys/netinet6/ip6_var.h	(revision 195689)
+++ sys/netinet6/ip6_var.h	(working copy)
@@ -291,43 +291,73 @@
 #define IP6_HDR_ALIGNED_P(ip)	((((intptr_t) (ip)) & 3) == 0)
 #endif
 
-#ifdef VIMAGE_GLOBALS
-extern struct	ip6stat ip6stat;	/* statistics */
-extern int	ip6_defhlim;		/* default hop limit */
-extern int	ip6_defmcasthlim;	/* default multicast hop limit */
-extern int	ip6_forwarding;		/* act as router? */
-extern int	ip6_gif_hlim;		/* Hop limit for gif encap packet */
-extern int	ip6_use_deprecated;	/* allow deprecated addr as source */
-extern int	ip6_rr_prune;		/* router renumbering prefix
+VNET_DECLARE(struct ip6stat, ip6stat);	/* statistics */
+VNET_DECLARE(int, ip6_defhlim);		/* default hop limit */
+VNET_DECLARE(int, ip6_defmcasthlim);	/* default multicast hop limit */
+VNET_DECLARE(int, ip6_forwarding);	/* act as router? */
+VNET_DECLARE(int, ip6_gif_hlim);	/* Hop limit for gif encap packet */
+VNET_DECLARE(int, ip6_use_deprecated);	/* allow deprecated addr as source */
+VNET_DECLARE(int, ip6_rr_prune);	/* router renumbering prefix
 					 * walk list every 5 sec.    */
-extern int	ip6_mcast_pmtu;		/* enable pMTU discovery for multicast? */
-extern int	ip6_v6only;
-extern struct socket *ip6_mrouter;	/* multicast routing daemon */
-extern int	ip6_sendredirects;	/* send IP redirects when forwarding? */
-extern int	ip6_maxfragpackets; /* Maximum packets in reassembly queue */
-extern int	ip6_maxfrags;	/* Maximum fragments in reassembly queue */
-extern int	ip6_accept_rtadv;	/* Acts as a host not a router */
-extern int	ip6_keepfaith;		/* Firewall Aided Internet Translator */
-extern int	ip6_log_interval;
-extern time_t	ip6_log_time;
-extern int	ip6_hdrnestlimit; /* upper limit of # of extension headers */
-extern int	ip6_dad_count;		/* DupAddrDetectionTransmits */
+VNET_DECLARE(int, ip6_mcast_pmtu);	/* enable pMTU discovery for multicast? */
+VNET_DECLARE(int, ip6_v6only);
+VNET_DECLARE(struct socket *, ip6_mrouter);	/* multicast routing daemon */
+VNET_DECLARE(int, ip6_sendredirects);	/* send IP redirects when forwarding? */
+VNET_DECLARE(int, ip6_maxfragpackets);	/* Maximum packets in reassembly
+					 * queue */
+VNET_DECLARE(int, ip6_maxfrags);	/* Maximum fragments in reassembly
+					 * queue */
+VNET_DECLARE(int, ip6_accept_rtadv);	/* Acts as a host not a router */
+VNET_DECLARE(int, ip6_keepfaith);	/* Firewall Aided Internet Translator */
+VNET_DECLARE(int, ip6_log_interval);
+VNET_DECLARE(time_t, ip6_log_time);
+VNET_DECLARE(int, ip6_hdrnestlimit);	/* upper limit of # of extension
+					 * headers */
+VNET_DECLARE(int, ip6_dad_count);	/* DupAddrDetectionTransmits */
 
-extern int	ip6_auto_flowlabel;
-extern int	ip6_auto_linklocal;
+VNET_DECLARE(int, ip6_auto_flowlabel);
+VNET_DECLARE(int, ip6_auto_linklocal);
 
-extern int	ip6_use_tempaddr; /* whether to use temporary addresses. */
-extern int	ip6_prefer_tempaddr; /* whether to prefer temporary addresses
-					in the source address selection */
+VNET_DECLARE(int, ip6_use_tempaddr);	/* Whether to use temporary addresses */
+VNET_DECLARE(int, ip6_prefer_tempaddr);	/* Whether to prefer temporary
+					 * addresses in the source address
+					 * selection */
 
 #ifdef IPSTEALTH
-extern int	ip6stealth;
+VNET_DECLARE(int, ip6stealth);
 #endif
 
-extern int	ip6_use_defzone; /* whether to use the default scope zone
-				    when unspecified */
-#endif /* VIMAGE_GLOBALS */
+VNET_DECLARE(int, ip6_use_defzone);	/* Whether to use the default scope
+					 * zone when unspecified */
 
+#define	V_ip6stat			VNET_GET(ip6stat)
+#define	V_ip6_defhlim			VNET_GET(ip6_defhlim)
+#define	V_ip6_defmcasthlim		VNET_GET(ip6_defmcasthlim)
+#define	V_ip6_forwarding		VNET_GET(ip6_forwarding)
+#define	V_ip6_gif_hlim			VNET_GET(ip6_gif_hlim)
+#define	V_ip6_use_deprecated		VNET_GET(ip6_use_deprecated)
+#define	V_ip6_rr_prune			VNET_GET(ip6_rr_prune)
+#define	V_ip6_mcast_pmtu		VNET_GET(ip6_mcast_pmtu)
+#define	V_ip6_v6only			VNET_GET(ip6_v6only)
+#define	V_ip6_mrouter			VNET_GET(ip6_mrouter)
+#define	V_ip6_sendredirects		VNET_GET(ip6_sendredirects)
+#define	V_ip6_maxfragpackets		VNET_GET(ip6_maxfragpackets)
+#define	V_ip6_maxfrags			VNET_GET(ip6_maxfrags)
+#define	V_ip6_accept_rtadv		VNET_GET(ip6_accept_rtadv)
+#define	V_ip6_keepfaith			VNET_GET(ip6_keepfaith)
+#define	V_ip6_log_interval		VNET_GET(ip6_log_interval)
+#define	V_ip6_log_time			VNET_GET(ip6_log_time)
+#define	V_ip6_hdrnestlimit		VNET_GET(ip6_hdrnestlimit)
+#define	V_ip6_dad_count			VNET_GET(ip6_dad_count)
+#define	V_ip6_auto_flowlabel		VNET_GET(ip6_auto_flowlabel)
+#define	V_ip6_auto_linklocal		VNET_GET(ip6_auto_linklocal)
+#define	V_ip6_use_tempaddr		VNET_GET(ip6_use_tempaddr)
+#define	V_ip6_prefer_tempaddr		VNET_GET(ip6_prefer_tempaddr)
+#ifdef IPSTEALTH
+#define	V_ip6stealth			VNET_GET(ip6stealth)
+#endif
+#define	V_ip6_use_defzone		VNET_GET(ip6_use_defzone)
+
 extern	struct pfil_head inet6_pfil_hook;	/* packet filter hooks */
 
 extern struct	pr_usrreqs rip6_usrreqs;
Index: sys/netinet6/raw_ip6.h
===================================================================
--- sys/netinet6/raw_ip6.h	(revision 195689)
+++ sys/netinet6/raw_ip6.h	(working copy)
@@ -48,9 +48,8 @@
 };
 
 #ifdef _KERNEL
-#ifdef VIMAGE_GLOBALS
-extern struct rip6stat rip6stat;
+VNET_DECLARE(struct rip6stat, rip6stat);
+#define	V_rip6stat			VNET_GET(rip6stat)
 #endif
-#endif
 
 #endif
Index: sys/netinet6/ip6_output.c
===================================================================
--- sys/netinet6/ip6_output.c	(revision 195689)
+++ sys/netinet6/ip6_output.c	(working copy)
@@ -96,7 +96,6 @@
 #include <netinet/in_pcb.h>
 #include <netinet/tcp_var.h>
 #include <netinet6/nd6.h>
-#include <netinet/vinet.h>
 
 #ifdef IPSEC
 #include <netipsec/ipsec.h>
@@ -107,7 +106,6 @@
 
 #include <netinet6/ip6protosw.h>
 #include <netinet6/scope6_var.h>
-#include <netinet6/vinet6.h>
 
 extern int in6_mcast_loop;
 
@@ -191,8 +189,6 @@
     struct route_in6 *ro, int flags, struct ip6_moptions *im6o,
     struct ifnet **ifpp, struct inpcb *inp)
 {
-	INIT_VNET_NET(curvnet);
-	INIT_VNET_INET6(curvnet);
 	struct ip6_hdr *ip6, *mhip6;
 	struct ifnet *ifp, *origifp;
 	struct mbuf *m = m0;
@@ -2420,8 +2416,6 @@
 ip6_setpktopt(int optname, u_char *buf, int len, struct ip6_pktopts *opt,
     struct ucred *cred, int sticky, int cmsg, int uproto)
 {
-	INIT_VNET_NET(curvnet);
-	INIT_VNET_INET6(curvnet);
 	int minmtupolicy, preftemp;
 	int error;
 
Index: sys/netinet6/icmp6.c
===================================================================
--- sys/netinet6/icmp6.c	(revision 195689)
+++ sys/netinet6/icmp6.c	(working copy)
@@ -97,7 +97,6 @@
 #include <netinet/ip6.h>
 #include <netinet/icmp6.h>
 #include <netinet/tcp_var.h>
-#include <netinet/vinet.h>
 
 #include <netinet6/in6_ifattach.h>
 #include <netinet6/in6_pcb.h>
@@ -106,7 +105,6 @@
 #include <netinet6/scope6_var.h>
 #include <netinet6/mld6_var.h>
 #include <netinet6/nd6.h>
-#include <netinet6/vinet6.h>
 
 #ifdef IPSEC
 #include <netipsec/ipsec.h>
@@ -115,17 +113,23 @@
 
 extern struct domain inet6domain;
 
-#ifdef VIMAGE_GLOBALS
-extern struct inpcbinfo ripcbinfo;
-extern struct inpcbhead ripcb;
-extern int icmp6errppslim;
-extern int icmp6_nodeinfo;
+VNET_DECLARE(struct inpcbinfo, ripcbinfo);
+VNET_DECLARE(struct inpcbhead, ripcb);
+VNET_DECLARE(int, icmp6errppslim);
+VNET_DECLARE(int, icmp6_nodeinfo);
 
-struct icmp6stat icmp6stat;
-static int icmp6errpps_count;
-static struct timeval icmp6errppslim_last;
-#endif
+#define	V_ripcbinfo			VNET_GET(ripcbinfo)
+#define	V_ripcb				VNET_GET(ripcb)
+#define	V_icmp6errppslim		VNET_GET(icmp6errppslim)
+#define	V_icmp6_nodeinfo		VNET_GET(icmp6_nodeinfo)
 
+VNET_DEFINE(struct icmp6stat, icmp6stat);
+static VNET_DEFINE(int, icmp6errpps_count);
+static VNET_DEFINE(struct timeval, icmp6errppslim_last);
+
+#define	V_icmp6errpps_count	VNET_GET(icmp6errpps_count)
+#define	V_icmp6errppslim_last	VNET_GET(icmp6errppslim_last)
+
 static void icmp6_errcount(struct icmp6errstat *, int, int);
 static int icmp6_rip6_input(struct mbuf **, int);
 static int icmp6_ratelimit(const struct in6_addr *, const int, const int);
@@ -144,7 +148,6 @@
 void
 icmp6_init(void)
 {
-	INIT_VNET_INET6(curvnet);
 
 	V_icmp6errpps_count = 0;
 }
@@ -213,7 +216,6 @@
 icmp6_error2(struct mbuf *m, int type, int code, int param,
     struct ifnet *ifp)
 {
-	INIT_VNET_INET6(curvnet);
 	struct ip6_hdr *ip6;
 
 	if (ifp == NULL)
@@ -245,7 +247,6 @@
 void
 icmp6_error(struct mbuf *m, int type, int code, int param)
 {
-	INIT_VNET_INET6(curvnet);
 	struct ip6_hdr *oip6, *nip6;
 	struct icmp6_hdr *icmp6;
 	u_int preplen;
@@ -400,7 +401,6 @@
 int
 icmp6_input(struct mbuf **mp, int *offp, int proto)
 {
-	INIT_VNET_INET6(curvnet);
 	struct mbuf *m = *mp, *n;
 	struct ifnet *ifp;
 	struct ip6_hdr *ip6, *nip6;
@@ -884,7 +884,6 @@
 static int
 icmp6_notify_error(struct mbuf **mp, int off, int icmp6len, int code)
 {
-	INIT_VNET_INET6(curvnet);
 	struct mbuf *m = *mp;
 	struct icmp6_hdr *icmp6;
 	struct ip6_hdr *eip6;
@@ -1116,7 +1115,6 @@
 void
 icmp6_mtudisc_update(struct ip6ctlparam *ip6cp, int validated)
 {
-	INIT_VNET_INET6(curvnet);
 	struct in6_addr *dst = ip6cp->ip6c_finaldst;
 	struct icmp6_hdr *icmp6 = ip6cp->ip6c_icmp6;
 	struct mbuf *m = ip6cp->ip6c_m;	/* will be necessary for scope issue */
@@ -1181,7 +1179,6 @@
 static struct mbuf *
 ni6_input(struct mbuf *m, int off)
 {
-	INIT_VNET_INET6(curvnet);
 	struct icmp6_nodeinfo *ni6, *nni6;
 	struct mbuf *n = NULL;
 	struct prison *pr;
@@ -1673,8 +1670,6 @@
 ni6_addrs(struct icmp6_nodeinfo *ni6, struct mbuf *m, struct ifnet **ifpp,
     struct in6_addr *subj)
 {
-	INIT_VNET_NET(curvnet);
-	INIT_VNET_INET6(curvnet);
 	struct ifnet *ifp;
 	struct in6_ifaddr *ifa6;
 	struct ifaddr *ifa;
@@ -1768,8 +1763,6 @@
 ni6_store_addrs(struct icmp6_nodeinfo *ni6, struct icmp6_nodeinfo *nni6,
     struct ifnet *ifp0, int resid)
 {
-	INIT_VNET_NET(curvnet);
-	INIT_VNET_INET6(curvnet);
 	struct ifnet *ifp = ifp0 ? ifp0 : TAILQ_FIRST(&V_ifnet);
 	struct in6_ifaddr *ifa6;
 	struct ifaddr *ifa;
@@ -1911,8 +1904,6 @@
 static int
 icmp6_rip6_input(struct mbuf **mp, int off)
 {
-	INIT_VNET_INET(curvnet);
-	INIT_VNET_INET6(curvnet);
 	struct mbuf *m = *mp;
 	struct ip6_hdr *ip6 = mtod(m, struct ip6_hdr *);
 	struct inpcb *in6p;
@@ -2073,7 +2064,6 @@
 void
 icmp6_reflect(struct mbuf *m, size_t off)
 {
-	INIT_VNET_INET6(curvnet);
 	struct ip6_hdr *ip6;
 	struct icmp6_hdr *icmp6;
 	struct in6_ifaddr *ia = NULL;
@@ -2265,7 +2255,6 @@
 void
 icmp6_redirect_input(struct mbuf *m, int off)
 {
-	INIT_VNET_INET6(curvnet);
 	struct ifnet *ifp;
 	struct ip6_hdr *ip6 = mtod(m, struct ip6_hdr *);
 	struct nd_redirect *nd_rd;
@@ -2473,7 +2462,6 @@
 void
 icmp6_redirect_output(struct mbuf *m0, struct rtentry *rt)
 {
-	INIT_VNET_INET6(curvnet);
 	struct ifnet *ifp;	/* my outgoing interface */
 	struct in6_addr *ifp_ll6;
 	struct in6_addr *router_ll6;
@@ -2843,7 +2831,6 @@
 icmp6_ratelimit(const struct in6_addr *dst, const int type,
     const int code)
 {
-	INIT_VNET_INET6(curvnet);
 	int ret;
 
 	ret = 0;	/* okay to send */
